package dense.randGAME;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.BasicGame;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;

import dense.randGAME.Entity.Player;
import dense.randGAME.Level.Level;
import dense.randGAME.Level.Tile;
import dense.randGAME.Level.Tilemap;
import dense.randGAME.Level.Tree;
import dense.randGAME.levelgen.LevelGen;

public class Main extends StateBasedGame{
	public static final String GAMENAME = "randGame v0.0000001";
	
	public Main() {
		super(GAMENAME);
	}

	public static void main(String[] args) throws SlickException{
		AppGameContainer app = new AppGameContainer(new Main());
		app.setDisplayMode(640, 480, false);
		app.start();
	}
	
	public void LoadData() throws SlickException{
		Tile.Load();
		Tree.Load();
		Player.Load();
	}

	@Override
	public void initStatesList(GameContainer gc) throws SlickException {
		LoadData();
		gc.setMinimumLogicUpdateInterval(26);
		
		this.addState(new GameState());
		this.addState(new MenuState());
		
		this.enterState(GameState.ID);
	}
}