package dense.randGAME.Entity;

import java.util.LinkedList;

import org.newdawn.slick.Graphics;

public class EntityManager {
	private LinkedList<Entity> entities;
	
	public EntityManager(){
		entities = new LinkedList<Entity>();
	}
	
	public void AddEntity(Entity e){
		entities.add(e);
	}
	
	public void RemoveEntity(Entity e){
		entities.remove(e);
	}
	
	/* TODO
	public Entity getEntity(){
		return null;
	}*/
	
	public void updateAll(int delta){
		for(int i = 0; i < entities.size(); i++){
			entities.get(i).update(delta);
		}
	}
	
	public void renderAll(Graphics g){
		for(int i = 0; i < entities.size(); i++){
			entities.get(i).render(g);
		}
	}
	
	public void checkCollision(){
		for(int i = 0; i < entities.size(); i++){
			Entity e1 = entities.get(i);
			for(int j = i; j < entities.size(); j++){
				Entity e2 = entities.get(j);
				if(e1.getRect().intersects(e2.getRect())){
					e1.collided(e2);
					e2.collided(e1);
				}
			}
		}
	}
}
